<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('pricelist_files', function (Blueprint $table) {
            $table->string('processing_current_step')->nullable()->default(null)->after('status');
            $table->integer('processing_current_step_percentage')->nullable()->default(null)->after('processing_current_step');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('pricelist_files', function (Blueprint $table) {
            $table->dropColumn(['processing_current_step', 'processing_current_step_percentage']);
        });
    }
};
